[llvm-commits] [llvm] r115048 - in /llvm/trunk/utils: GetRepositoryPath GetSourceVersion

Daniel Dunbar daniel at zuster.org
Wed Sep 29 10:57:01 PDT 2010


Author: ddunbar
Date: Wed Sep 29 12:57:01 2010
New Revision: 115048

URL: http://llvm.org/viewvc/llvm-project?rev=115048&view=rev
Log:
utils: Add GetRepositoryPath script, patch by Jonathan Mulder!
 - Also, fix indention in GetSourceVersion while in the area.

Added:
    llvm/trunk/utils/GetRepositoryPath   (with props)
Modified:
    llvm/trunk/utils/GetSourceVersion

Added: llvm/trunk/utils/GetRepositoryPath
URL: http://llvm.org/viewvc/llvm-project/llvm/trunk/utils/GetRepositoryPath?rev=115048&view=auto
==============================================================================
--- llvm/trunk/utils/GetRepositoryPath (added)
+++ llvm/trunk/utils/GetRepositoryPath Wed Sep 29 12:57:01 2010
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+usage() {
+  echo "usage: $0 <source root>"
+  echo "  Prints the source control repository path of the given source"
+  echo "  directory, the exact format of the revision string depends on the"
+  echo "  source control system. If the source control system isn't known,"
+  echo "  the output is empty and the exit code is 1."
+  exit 1
+}
+
+if [ $# != 1 ] || [ ! -d $1 ]; then
+  usage;
+fi
+
+cd $1
+if [ -d .svn ]; then
+  svn info | grep 'URL:' | cut -d: -f2-
+elif [ -d .git/svn ]; then
+  git svn info | grep 'URL:' | cut -d: -f2-
+elif [ -d .git ]; then
+  git remote -v | grep 'fetch' | awk '{ print $2 }'
+else
+  exit 1;
+fi
+
+exit 0

Propchange: llvm/trunk/utils/GetRepositoryPath
------------------------------------------------------------------------------
    svn:executable = *

Modified: llvm/trunk/utils/GetSourceVersion
URL: http://llvm.org/viewvc/llvm-project/llvm/trunk/utils/GetSourceVersion?rev=115048&r1=115047&r2=115048&view=diff
==============================================================================
--- llvm/trunk/utils/GetSourceVersion (original)
+++ llvm/trunk/utils/GetSourceVersion Wed Sep 29 12:57:01 2010
@@ -1,12 +1,12 @@
 #!/bin/sh
 
 usage() {
-   echo "usage: $0 <source root>"
-   echo "  Prints the source control revision of the given source directory,"
-   echo "  the exact format of the revision string depends on the source "
-   echo "  control system. If the source control system isn't known, the output"
-   echo "  is empty and the exit code is 1."
-   exit 1
+  echo "usage: $0 <source root>"
+  echo "  Prints the source control revision of the given source directory,"
+  echo "  the exact format of the revision string depends on the source "
+  echo "  control system. If the source control system isn't known, the output"
+  echo "  is empty and the exit code is 1."
+  exit 1
 }
 
 if [ $# != 1 ] || [ ! -d $1 ]; then
@@ -15,13 +15,13 @@
 
 cd $1
 if [ -d .svn ]; then
-   svnversion
+  svnversion
 elif [ -d .git/svn ]; then
-   git svn info | grep 'Revision:' | cut -d: -f2-
+  git svn info | grep 'Revision:' | cut -d: -f2-
 elif [ -d .git ]; then
-   git log -1 --pretty=format:%H
+  git log -1 --pretty=format:%H
 else
-   exit 1;
+  exit 1;
 fi
 
 exit 0





More information about the llvm-commits mailing list